#!/bin/bash -e

if [ ! -f /etc/ansible/hosts ]
then
    echo "Installing ansible"
    sudo apt-get update > ~/bootstrap.log 2>&1
    sudo apt-get -y install python-pip python-yaml python-jinja2 python-paramiko > ~/bootstrap.log 2>&1
    sudo pip install ansible==1.5 > ~/bootstrap.log 2>&1
    mkdir -p /etc/ansible
    echo 'localhost ansible_connection=local' > /etc/ansible/hosts
fi

echo "Running ansible provisioner"
# Run python unbuffered (-u) to see real-time output through vagrant
sudo python -u $(which ansible-playbook) /provisioning/playbook.yml \
    || echo "Error running ansible!" >&2
